Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

Oauth Scope In AEM 6.5

kinjald91769604
Level 1
Level 1

Hi All,

We're trying to configure OAUTH server in AEM however, all the online tutorials are all about AEM 6.4 of which most of the APIs in package com.adobe.granite.oauth.server are not available any more in AEM 6.5 uber jar. Can anyone suggest if there's an alternative implementation/configuration in AEM 6.5 and guide us?

 

Thanks

3 Replies
Arun_Patidar
Community Advisor
Community Advisor

Hi,

Is it resolved? Let me know, we are also implementing oAuth. I can help here.

talkeshwarp7048
Level 2
Level 2

Hi Arun @Arun_Patidar ,

I'm implementing the same oAuth2 with AEM 6.5.6 but unable to resolve com.adobe.granite.oauth.server

com.adobe.granite.oauth.server.Scope;
com.adobe.granite.oauth.server.ScopeWithPrivileges;

Any help would be appreciated.

 

Thanks !
Talk. 

Arun_Patidar
Community Advisor
Community Advisor

Can you check the below dependencies

 

<dependency>
	<artifactId>com.adobe.granite.oauth.server</artifactId>
	<version>1.1.28</version>
	<groupId>com.adobe.granite</groupId>
	<scope>provided</scope>
</dependency>

 

 

talkeshwarp7048
Level 2
Level 2

Hi @Arun_Patidar ,

Thanks for quick response !

I did check this in depfinder its available but its not used by my bundle deployed. Also its not there in my dependency in pom.xml.

However when I updated my uber jar version to 6.5.5 (updated [1] dependency in main pom.xml) then it gets these API properly and works fine.

Do you mean with uber jar 6.5.0, we need to add the dependency which you suggested in main pom.xml ? in order to get these API work ?

[1] 

<dependency>
<groupId>com.adobe.aem</groupId>
<artifactId>uber-jar</artifactId>
<version>6.5.5</version>
<classifier>apis</classifier>
<scope>provided</scope>
</dependency>

Thanks,

Talk.